﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamComboEditor
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public List<ComboData> LegalEntityNames { get; set; }
        public List<Data> Data { get; set; }

        public MainWindow()
        {
            InitializeComponent();

            Data = new List<Data>();
            Data.Add(new Data() { Department = "Admin", Id = 0 });
            Data.Add(new Data() { Department = "Sales", Id = 1 });
            Data.Add(new Data() { Department = "Admin", Id = 2 });
            Data.Add(new Data() { Department = "Accounting", Id = 3 });

            LegalEntityNames = new List<ComboData>();
            LegalEntityNames.Add(new ComboData() { Dept = "Admin" });
            LegalEntityNames.Add(new ComboData() { Dept = "Sales" });
            LegalEntityNames.Add(new ComboData() { Dept = "Board of Directors" });
            LegalEntityNames.Add(new ComboData() { Dept = "Accounting" });
            LegalEntityNames.Add(new ComboData() { Dept = "Human Resources" });
            this.DataContext = this;

        }
    }

    public class ComboData
    {
        public string Dept { get; set; }
    }

    public class Data
    {
        public string Department { get; set; }
        public int Id { get; set; }
    }
}
